Bug 202495 - Fix devel/libpru build with clang 3.7.0
Summary: Fix devel/libpru build with clang 3.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Rui Paulo
URL:
Keywords:
Depends on:
Blocks: 201377
  Show dependency treegraph
 
Reported: 2015-08-19 20:03 UTC by Dimitry Andric
Modified: 2015-08-26 00:24 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (rpaulo)


Attachments
Fix devel/libpru printf format errors with clang 3.7.0 (3.56 KB, patch)
2015-08-19 20:03 UTC, Dimitry Andric
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Andric freebsd_committer 2015-08-19 20:03:57 UTC
Created attachment 160113 [details]
Fix devel/libpru printf format errors with clang 3.7.0

During the exp-run in bug 201377, it was found that devel/libpru gives errors with a recent clang 3.7.0 snapshot:

http://package18.nyi.freebsd.org/data/headi386PR201377-default/2015-07-31_12h04m22s/logs/errors/libpru-0.2.log

This is because the port compiles with -Weverything -Werror, and attempts to print various pointers which are not void * using the %p format.  This can be fixed by casting the pointers to void *.
Comment 1 commit-hook freebsd_committer 2015-08-19 22:29:36 UTC
A commit references this bug:

Author: rpaulo
Date: Wed Aug 19 22:29:27 UTC 2015
New revision: 394817
URL: https://svnweb.freebsd.org/changeset/ports/394817

Log:
  Update libpru to 0.4.

  This fixes compilation with Clang 3.7.

  PR:		202495

Changes:
  head/devel/libpru/Makefile
  head/devel/libpru/distinfo
Comment 2 Xin LI freebsd_committer 2015-08-26 00:24:41 UTC
This change was committed by rpaulo a week ago, thanks for your submission!